Founder's PriceUp to 53% off Pro, Business and Enterprise for our first customers, locked in while you stay subscribed paid plans30 spots leftClaim your spot
DocsGames and sets

Docs / API reference

Games and sets

Every game and set we cover, so you can filter searches by the exact names.

Request

GEThttps://tcgpriceapi.com/v1/sets
NameTypeDescription
gamestringOnly sets in this game, such as One Piece Card Game.

Counts as one request.

Request
curl "https://tcgpriceapi.com/v1/sets?game=One%20Piece%20Card%20Game" \
  -H "X-API-Key: YOUR_API_KEY"

Response

A list of game and set pairs. The first three are shown here.

Response 200
[
  {
    "game": "One Piece Card Game",
    "set": "500 Years in the Future"
  },
  {
    "game": "One Piece Card Game",
    "set": "500 Years in the Future Pre-Release Cards"
  },
  {
    "game": "One Piece Card Game",
    "set": "Adventure on Kami's Island"
  }
]
FieldTypeDescription
gamestringThe game.
setstringA set in that game.